Subject: Re: [PATCH v2 15/16] index-pack: use nr_objects_final as sha1_table size

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Sep 2013 12:30:23 -0700

Nicolas Pitre <[email-masked]> writes:

> Do we know the actual number of objects to send during the capability 
> negociation?

No, and that is not what I meant.  We know upfront after capability
negotiation (by seeing a request to give them a thin-pack) that we
will send, in addition to the usual packfile, the prefix that
carries that information and that is the important part.  That lets
the receiver decide whether to _expect_ to see the prefix or no
prefix.  Without such, there needs some clue in the prefix part
itself if there are prefixes that carry information computed after
capability negotiation finished (i.e. after "object enumeration").

Sorry if I was unclear.